> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization Profile

> Create an entity based on Profile information retrieved for an organization from registries specific to a region. This will get organization details and official details where available.



## OpenAPI

````yaml /specs/fc-kyb-facade-bundled_generated.yaml post /v2/organizations/profile
openapi: 3.0.3
info:
  title: KYB Facade API
  version: '2.0'
  description: >-
    This is the MVP for Phase 1 APIs for V2 KYB. Currently in development,
    changes to the structure can occur
  contact:
    name: FrankieOne
    url: https://www.frankieone.com
    email: help@frankieone.com
servers:
  - url: https://api.kycaml.frankiefinancial.io
    description: Production API Base URL
  - url: https://api.kycaml.uat.frankiefinancial.io
    description: UAT Environment API Base URL
security:
  - Api-Key: []
tags:
  - name: Organizations
    description: Api calls related to Organizations
  - name: Reports
    description: All Frankie reports
  - name: Hosted URL
    description: Api calls related to Hosted URL
paths:
  /v2/organizations/profile:
    parameters:
      - $ref: '#/components/parameters/includeDeregisteredCompanies'
    post:
      tags:
        - Organizations
      summary: Organization Profile
      description: >-
        Create an entity based on Profile information retrieved for an
        organization from registries specific to a region. This will get
        organization details and official details where available.
      operationId: createProfile
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/forceRefresh'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                organizationToken:
                  $ref: '#/components/schemas/Organization-Token'
                organizationRegistration:
                  $ref: '#/components/schemas/Organization-Registration'
                externalReferences:
                  type: array
                  items:
                    $ref: '#/components/schemas/External-Reference-Information'
                entityId:
                  $ref: '#/components/schemas/Entity-ID'
        description: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organizations-Entity-Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    includeDeregisteredCompanies:
      name: includeDeregisteredCompanies
      in: query
      required: false
      schema:
        type: boolean
      description: >-
        Whether to include deregistered companies in the response. Defaults to
        false. If flag is false, and the requested company is deregistered, then
        error is returned.  If flag is true, and the requested company is
        deregistered, then a standard profile response provided including
        details about the deregistered company.  If flag is true, and the
        requested company is not deregistered, then a standard profile response
        is provided. Note: this flag only works to get a domestic profile,
        otherwise flag will be ignored. 
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    forceRefresh:
      name: forceRefresh
      in: query
      schema:
        type: boolean
      description: This will fetch the latest information from the registry if set to true.
  schemas:
    Organization-Token:
      type: string
      description: >-
        This is the unique Frankie token that contains all the information
        required from lookup that are needed in succeeding steps
    Organization-Registration:
      type: object
      required:
        - region
      properties:
        organizationNumbers:
          type: array
          items:
            $ref: '#/components/schemas/Organization-Number'
        region:
          $ref: '#/components/schemas/Organization-Region'
    External-Reference-Information:
      type: object
      x-examples:
        Customer Reference:
          name: CUSTOMER-REFERENCE
          value: CUST-00001342
          description: This is the customer id in the core banking system
      required:
        - name
        - value
      description: >-
        Used to store references and identifying information about an entity
        that is external to FrankieOne. If you wish to filter or search on
        customer information relevant to your business, that information should
        be added as an external reference.
      properties:
        name:
          type: string
          description: The name of the external reference.
          example: CUSTOMER-REFERENCE
          x-oapi-codegen-extra-tags:
            audit: keep
        value:
          type: string
          description: The value of the external reference.
          example: CUST-00001342
          x-oapi-codegen-extra-tags:
            audit: keep
        description:
          type: string
          description: >-
            A summary of what this external reference is and what it is used
            for.
          example: This is the customer ID in the core banking system.
          x-oapi-codegen-extra-tags:
            audit: keep
    Entity-ID:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Organizations-Entity-Response:
      type: object
      required:
        - requestId
      properties:
        organization:
          $ref: '#/components/schemas/Organization'
        requestId:
          $ref: '#/components/schemas/Request-ID'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Organization-Number:
      type: object
      required:
        - registrationNumber
      properties:
        registrationNumber:
          type: string
          description: >-
            The registration number of the specific registry associated to the
            entity
        registryCode:
          type: string
          description: |-
            A code that specifies an associated registry
            ex - ABN or ACN
    Organization-Region:
      type: object
      required:
        - country
      properties:
        country:
          type: string
          pattern: ^[A-Z]{3}$
          description: >-
            The ISO-3166-1 country. You must use the alpha3 country code (e.g.

            AUS, USA, IDR, KOR, etc). 


            For more details refer to:
            [https://en.wikipedia.org/wiki/ISO_3166-1](https://en.wikipedia.org/wiki/ISO_3166-1)
        subdivision:
          type: string
          description: >-
            The ISO-3166-2 subdivision code referring to state or province or
            other regional division. 


            For more details refer to:
            [https://en.wikipedia.org/wiki/ISO_3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)
    Organization:
      type: object
      description: This is the complete Organization Model
      allOf:
        - $ref: '#/components/schemas/Organization-Summary'
        - type: object
          properties:
            linkedIndividuals:
              type: object
              description: >-
                The additional details of the individuals that is linked to the
                parent entity
              additionalProperties:
                $ref: '#/components/schemas/Organization-Linked-Individual'
            linkedOrganizations:
              type: object
              description: >-
                The additional details of the organization that is linked to the
                parent entity
              additionalProperties:
                $ref: '#/components/schemas/Organization-Summary'
            linkedUnknownEntities:
              type: object
              description: >-
                The additional details of an entity that is linked to the parent
                entity
              additionalProperties:
                $ref: '#/components/schemas/Unknown-Entity'
            blockingEntities:
              type: object
              description: >-
                The details of the entities that are linked to the parent entity
                that have resulted in not getting a complete picture of the
                focus entity
              additionalProperties:
                $ref: '#/components/schemas/Blocking-Entity'
            ultimateBeneficialOwners:
              description: >-
                UBO stands for "Ultimate Beneficial Owner." UBO(s) are the
                ultimate natural person(s) who ultimately owns or controls a
                company. It provides information about the individuals who have
                a significant level of control or ownership in a company, either
                directly or indirectly
              type: array
              items:
                $ref: '#/components/schemas/UBO'
            otherOwners:
              description: The other owners of the company, who aren't necessarily UBO's
              type: array
              items:
                $ref: '#/components/schemas/Other-Owner'
            informationSources:
              type: object
              description: Map of Information sources which are used across the response
              additionalProperties:
                $ref: '#/components/schemas/Information-Source'
            ownershipPolicy:
              $ref: '#/components/schemas/Ownership-Policy'
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Organization-Summary:
      allOf:
        - $ref: '#/components/schemas/Entity'
        - type: object
          properties:
            websiteUrls:
              type: array
              items:
                $ref: '#/components/schemas/Website-URL'
            details:
              $ref: '#/components/schemas/Organization-Details'
            shareholders:
              type: array
              description: >-
                The shareholders of a company. It includes details such as the
                names of the shareholders, the number of shares held by each
                shareholder, and their ownership percentages
              items:
                $ref: '#/components/schemas/Organization-Shareholder'
            shareInterests:
              description: >-
                The specific interests or holdings of shareholders in a company.
                It may include information about different classes or types of
                shares held by shareholders, such as ordinary shares, preference
                shares, or options
              type: array
              items:
                $ref: '#/components/schemas/Organization-Share-Interest'
            officials:
              type: array
              description: >-
                The individuals who hold official positions or roles within a
                company, such as directors or company secretaries. It includes
                details such as their names, positions, appointment dates, and
                other relevant information
              items:
                $ref: '#/components/schemas/Organization-Official'
            shareCapital:
              $ref: '#/components/schemas/Organization-Share-Capital'
            indicators:
              description: >-
                The indicators that contribute to the risk of an organization or
                other parameters that needs to be looked at
              type: array
              items:
                $ref: '#/components/schemas/Flag'
            jurisdictionalInformation:
              $ref: '#/components/schemas/Jurisdictional-Information'
            updatedAt:
              type: string
              format: date-time
              description: The date and time when the organization is last updated.
    Organization-Linked-Individual:
      type: object
      allOf:
        - $ref: '#/components/schemas/Base-Individual'
    Unknown-Entity:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        name:
          type: string
          description: The name of the organization or the individual entity
        addresses:
          type: array
          description: Collection of address objects
          items:
            $ref: '#/components/schemas/Address'
        country:
          type: string
          description: The nationality or country of the entity
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    Blocking-Entity:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
          description: >-
            Details of this organization would be available in the
            linkedOrganizations or linkedIndividuals
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        percentageOwned:
          $ref: '#/components/schemas/Percentage-Owned'
        blockingReasons:
          description: >-
            The reasons why the entity is categorized as blocking the parent
            entity
          type: array
          items:
            $ref: '#/components/schemas/Blocking-Reason'
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    UBO:
      description: >-
        UBO stands for "Ultimate Beneficial Owner." UBO(s) are the ultimate
        natural person(s) who ultimately owns or controls a company. It provides
        information about the individuals who have a significant level of
        control or ownership in a company, either directly or indirectly.
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        percentageOwned:
          $ref: '#/components/schemas/Percentage-Owned'
        reasons:
          description: The reason(s) as to why the entity was classified as an UBO
          type: array
          items:
            $ref: '#/components/schemas/Code-Description'
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    Other-Owner:
      description: >-
        Owners that do not meet the threshold to be classified as UBOs or
        Blocking Entities
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        percentageOwned:
          $ref: '#/components/schemas/Percentage-Owned'
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    Information-Source:
      type: object
      properties:
        sourceId:
          type: string
          description: >-
            As sources are added to an entity, they're assigned a unique
            identifier to assist with modification and reference.

            To modify a source, include the sourceId in an update request call.
          x-oapi-codegen-extra-tags:
            audit: keep
        source:
          description: The source of information like document number, website, etc.
          type: string
          example: Client
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceNormalized:
          description: The result of converting the raw source name to a normalized result.
          type: string
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        description:
          description: The type or details of the source of information.
          type: string
          example: ''
          x-oapi-codegen-extra-tags:
            audit: keep
        provider:
          description: The provider of the information, e.g., Equifax.
          type: string
          example: equifax-au
          x-oapi-codegen-extra-tags:
            audit: keep
        providerReference:
          description: Reference linking to the provider for this information.
          type: string
          example: ''
          x-oapi-codegen-extra-tags:
            audit: keep
        createdAt:
          type: string
          format: date-time
          description: The date and time this information was first created in the system.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        requestedAt:
          type: string
          format: date-time
          description: >-
            The date and time FrankieOne requested this information from the
            external source provider.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        retrievedAt:
          type: string
          format: date-time
          description: >-
            The date and time FrankieOne retrieved this information from the
            external source provider.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        isAuthoritative:
          type: boolean
          description: >-
            Indicates whether this information is from an authoritative source,
            e.g., a company registry.
          example: false
          x-oapi-codegen-extra-tags:
            audit: keep
      readOnly: true
    Ownership-Policy:
      description: >-
        Defines the configuration and specific threshold values that allows to
        identify Blocking Entities, UBOs and Other Owners.
      type: object
      properties:
        uboThreshold:
          description: >-
            The minimum percentage of total ownership (Beneficial and
            Non-Beneficial) that an entity needs to be defined as a UBO.
          type: number
          format: float
        blockingThreshold:
          description: >-
            The minimum percentage of total ownership (Beneficial and
            Non-Beneficial) that an entity needs to be defined as a Blocking
            Entity.
          type: number
          format: float
        blockingDefinitions:
          description: >-
            The collection of reasons that define an entity as being a blocking
            entity.
          type: array
          items:
            $ref: '#/components/schemas/Organization-Blocking-Definition'
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
    Entity:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        createdAt:
          type: string
          format: date-time
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        schemaVersion:
          type: integer
          description: The schema version of this entity.
          example: 2
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
          description: A list of all address information associated with the entity.
        phoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/Phone-Number'
          description: A list of all phone numbers associated with the entity.
        emailAddresses:
          type: array
          items:
            $ref: '#/components/schemas/Email'
          description: A list of all email addresses associated with the entity.
        customAttributes:
          $ref: '#/components/schemas/Custom-Attributes'
        externalReferences:
          type: array
          items:
            $ref: '#/components/schemas/External-Reference'
          description: A list of all external references associated with the entity.
        documents:
          $ref: '#/components/schemas/Entity-Documents'
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
    Website-URL:
      title: Website URL
      type: object
      properties:
        websiteUrl:
          type: string
          description: The website URL.
        sourceId:
          type: string
          description: >
            Reference to the information source where this data was obtained.

            This should correspond to an informationSource object in the
            informationSources map.
    Organization-Details:
      type: object
      description: organization details for entities. Returned from a registry.
      properties:
        type:
          $ref: '#/components/schemas/Code-Description'
        class:
          $ref: '#/components/schemas/Code-Description'
        subClass:
          $ref: '#/components/schemas/Code-Description'
        subType:
          $ref: '#/components/schemas/Code-Description'
        registrationDetails:
          description: >-
            This will contain a list of different registries the organization is
            registered in
          type: array
          items:
            $ref: '#/components/schemas/Organization-Registration-Details'
        alternateNames:
          description: >-
            This will contain all the other names apart from the registered name
            of the organization. Examples - name in other languages, trading
            name, older names, etc.
          type: array
          items:
            $ref: '#/components/schemas/Organization-Name'
        name:
          $ref: '#/components/schemas/Organization-Name'
          description: The name as registered in the primary registry of the organization
        status:
          $ref: '#/components/schemas/Organization-Status'
          description: The status of the organization based on its primary registry
        jurisdiction:
          $ref: '#/components/schemas/Organization-Jurisdiction'
        industryDeclarations:
          description: An array of declarations made by the organization as in the registry
          type: array
          items:
            $ref: '#/components/schemas/Industry-Declaration'
        industryCodes:
          description: >-
            An array of industry codes assigned to the organization as in the
            registry
          type: array
          items:
            $ref: '#/components/schemas/Code-Description'
    Organization-Shareholder:
      description: >-
        The shareholders of a company. It includes details such as the names of
        the shareholders, the number of shares held by each shareholder, and
        their ownership percentages.
      allOf:
        - type: object
          properties:
            entityId:
              $ref: '#/components/schemas/Entity-ID'
            entityType:
              $ref: '#/components/schemas/Entity-Type'
            shareholderType:
              description: The type of shareholder
              type: string
            totalShares:
              type: number
              format: double
              description: The total number of shares held by this shareholder
            totalPercentage:
              type: number
              format: double
              description: The total percentage of shares held by this shareholder
            shareholdings:
              type: array
              items:
                $ref: '#/components/schemas/Organization-Shareholder-Shareholding'
    Organization-Share-Interest:
      description: >-
        The specific interests or holdings of shareholders in a company. It may
        include information about different classes or types of shares held by
        shareholders, such as ordinary shares, preference shares, or options.
      allOf:
        - $ref: '#/components/schemas/Organization-Share-Structure'
        - type: object
          properties:
            percentage:
              description: The percentage of shares
              type: number
              format: double
            isBeneficiallyHeld:
              description: Flag to show whether this is beneficially held
              type: boolean
            isJointlyHeld:
              description: Flag to show whether this is jointly held
              type: boolean
            members:
              description: The entities that are a part of the interest
              type: array
              items:
                $ref: '#/components/schemas/Organization-Share-Interest-Member'
    Organization-Official:
      type: object
      description: >-
        The individuals who hold official positions or roles within a company,
        such as directors or company secretaries. It includes details such as
        their names, positions, appointment dates, and other relevant
        information.
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        role:
          $ref: '#/components/schemas/Code-Description'
          description: >-
            The role of the official in the organization.  '''code''' is the
            normalized code for the role.
        identification:
          type: array
          description: >-
            The identification number of official such as Director
            identification number
          items:
            $ref: '#/components/schemas/Organization-Official-Identification'
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
        appointmentDate:
          $ref: '#/components/schemas/Date'
          description: The date when the official was appointed for the organization
        cessationDate:
          $ref: '#/components/schemas/Date'
          description: >-
            The date when the official ceased their relation with the
            organization
        status:
          $ref: '#/components/schemas/Organization-Status'
          description: The status of information like current, ceased, etc
        directorships:
          type: array
          description: >-
            Information on roles of the official in other organizations.
            Available in some jurisdictions.
          items:
            $ref: '#/components/schemas/Organization-Official-Directorship'
    Organization-Share-Capital:
      type: object
      description: >-
        The share capital of a company, which refers to the total value of
        shares issued by the company to its shareholders. It typically includes
        both the nominal value of the shares as well as any premium paid by the
        shareholders.
      properties:
        totalShareCount:
          type: number
          format: double
          description: The total number of shares issued by the company to its shareholders
        shareStructure:
          type: array
          description: >-
            The share capital of a company, which refers to the total value of
            shares issued by the company to its shareholders. It typically
            includes both the nominal value of the shares as well as any premium
            paid by the shareholders
          items:
            $ref: '#/components/schemas/Organization-Share-Structure'
    Flag:
      type: object
      properties:
        flag:
          type: string
          description: The name or type of the flag.
        value:
          type: number
          description: The value assigned to the flag.
    Jurisdictional-Information:
      description: >-
        This contains information that is very specific to certain jurisdictions
        and is not available in other jurisdictions
      type: object
      properties:
        personsOfSignificantControl:
          description: This contains an array of persons of significant control
          type: array
          items:
            $ref: '#/components/schemas/Organization-PSC'
        registryInformation:
          $ref: '#/components/schemas/Jurisdictional-Registry-Information'
          description: >-
            This includes information that specific registries have available
            for organizations
        aliases:
          type: array
          items:
            type: string
        agents:
          description: An array of USA agents related to the organization
          type: array
          items:
            $ref: '#/components/schemas/USA-Agent'
        vatNumber:
          type: string
        virtualId:
          type: string
        officers:
          description: An array of officers related to the organization
          type: array
          items:
            $ref: '#/components/schemas/USA-Officer'
        fiscalCode:
          $ref: '#/components/schemas/Code-Description'
          description: Fiscal information. Available for certain jurisdictions
        legalFormDetails:
          $ref: '#/components/schemas/Jurisdictional-Legal-Form-Details'
          description: Legal Form Details. Available for certain jurisdictions
        annualAccount:
          $ref: '#/components/schemas/Jurisdictional-Annual-Account'
          description: Annual Account. Available for certain jurisdictions
    Base-Individual:
      type: object
      allOf:
        - $ref: '#/components/schemas/Entity'
        - type: object
          properties:
            name:
              $ref: '#/components/schemas/Individual-Name'
            alternateNames:
              type: array
              items:
                $ref: '#/components/schemas/Individual-Name-Alternate'
              description: >-
                Other names that are legally registered or otherwise recorded,
                differing from the individual's primary English name (e.g.,
                "李小龍"). Non-English names may be created as a conversion from
                the original format to complete the verification process.
            dateOfBirth:
              $ref: '#/components/schemas/Date-Of-Birth'
            alternateDatesOfBirth:
              type: array
              items:
                $ref: '#/components/schemas/Date-Of-Birth-Alternate'
              description: >-
                Other dates that are registered or otherwise recorded, differing
                from the individual's primary Gregorian date of birth (e.g.,
                Islamic dates like "29 Jumada Al-Akhirah 1445"). Non-Gregorian
                date formats will be maintained; however, additional Gregorian
                dates of birth may be created as a conversion from the original
                format to complete the verification process.
            gender:
              $ref: '#/components/schemas/Gender'
            placeOfBirth:
              $ref: '#/components/schemas/Address-Place-Of-Birth'
              description: The address where the individual was born.
            nationality:
              type: string
              description: >-
                ISO-3166-1 alpha-3 code of the individual's legal membership or
                affiliation with a nation.
              example: AUS
              x-oapi-codegen-extra-tags:
                audit: keep
            consents:
              type: array
              items:
                $ref: '#/components/schemas/Consent'
              description: List of consent types that have been given for this entity.
    Address:
      type: object
      description: Address information in all available formats
      allOf:
        - $ref: '#/components/schemas/Address-Base'
        - type: object
          properties:
            unstructuredLongForm:
              type: string
              description: >-
                Raw, unformatted address as provided by the source. Not
                normalized or standardized.
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    Entity-Type:
      type: string
      enum:
        - INDIVIDUAL
        - ORGANIZATION
        - UNKNOWN
      description: >-
        The type of entity within Frankie. This can be "INDIVIDUAL",
        "ORGANIZATION", or "UNKNOWN".
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Percentage-Owned:
      description: The percentage of ownership of the entity
      type: object
      properties:
        total:
          type: number
          format: double
        isTotalNearZero:
          type: boolean
          description: Indicates if the total percentage is negligible.
        beneficially:
          type: number
          format: double
        isBeneficialNearZero:
          type: boolean
          description: Indicates if the beneficially held percentage is negligible.
        nonBeneficially:
          type: number
          format: double
        isNonBeneficialNearZero:
          type: boolean
          description: Indicates if the non-beneficially held percentage is negligible.
        isContainingJointOwnership:
          description: |
            Indicates if the percentage held contains a jointly held percentage.
          type: boolean
    Blocking-Reason:
      type: object
      allOf:
        - $ref: '#/components/schemas/Code-Description'
        - type: object
          properties:
            type:
              type: string
            circularEntities:
              description: >-
                Entities identified as part of circular reference, with the
                Blocking Entity as the last link before the detection of
                circular.
              type: array
              items:
                $ref: '#/components/schemas/Entity-ID'
            candidates:
              description: Potential matches of the requested business entity.
              type: array
              items:
                $ref: '#/components/schemas/Organization-Blocking-Candidates'
    Code-Description:
      type: object
      properties:
        code:
          description: Short standard code or normalized representation of the information
          type: string
        description:
          description: >-
            The information relevant to the code, could be a more descriptive
            information
          type: string
    Organization-Blocking-Definition:
      type: string
      enum:
        - ORGANIZATION_NOT_FOUND
        - NO_SHAREHOLDERS_FOUND
        - COUNTRY_NOT_SUPPORTED
        - NON_BENEFICIAL_INDIVIDUAL
        - NON_BENEFICIAL_ORGANIZATION
        - NON_BENEFICIAL_UNKNOWN
        - CIRCULAR_REFERENCE
        - ENTITY_TYPE_UNKNOWN
        - INSUFFICIENT_MAX_CREDIT_COST
        - INACTIVE_ORGANIZATION
        - OTHER
      description: Indicates the type of the blocking entity
    Phone-Number:
      type: object
      properties:
        phoneNumberId:
          $ref: '#/components/schemas/Phone-Number-ID'
        isPreferred:
          type: boolean
          example: true
          description: Indicates whether this is the individual's preferred phone number.
          x-oapi-codegen-extra-tags:
            audit: keep
        type:
          type: string
          enum:
            - OTHER
            - WORK
            - HOME
            - MOBILE
            - BUSINESS
            - FAX
          description: The type of phone number.
          example: MOBILE
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 14fd5f64-5717-4562-b3fc-2c963f66ba34
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: ISO-3166-1 alpha-3 country code.
          example: AUS
          x-oapi-codegen-extra-tags:
            audit: keep
        number:
          type: string
          description: The phone number.
          example: '0426192340'
          x-oapi-codegen-extra-tags:
            audit: mask
        linkedAddresses:
          type: array
          readOnly: true
          description: >-
            If the phone number is attached to one or more addresses, the
            address IDs of those addresses will be present.
          items:
            type: object
            properties:
              addressId:
                description: The addressId of the linked address.
                type: string
                example: fa335f64-5717-4562-b3fc-2c963f66cf41
        unstructuredLongForm:
          type: string
          description: >-
            Used to capture free-form phone numbers or to store numbers that
            could not be normalized.
          x-oapi-codegen-extra-tags:
            audit: mask
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the phone number was last updated. ISO 8601
            format.
    Email:
      type: object
      properties:
        emailAddressId:
          $ref: '#/components/schemas/Email-Address-ID'
        type:
          type: string
          enum:
            - OTHER
            - WORK
            - PERSONAL
            - BUSINESS
          example: WORK
          description: The type of email address, if known.
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 31dd15f64-5717-4562-b3fc-2c963f66234d
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        email:
          type: string
          description: >-
            The individual's email address. This email can be used to notify the
            individual of any verification requirements.
          example: leonardo_dc@outlook.com
          x-oapi-codegen-extra-tags:
            audit: mask
        isPreferred:
          type: boolean
          description: >-
            Indicates whether this email address is the individual's preferred
            email. The preferred email will be used to send notifications at the
            client's request.
          default: true
          x-oapi-codegen-extra-tags:
            audit: keep
        linkedAddresses:
          type: array
          readOnly: true
          description: >-
            If the email is attached to one or more addresses, the address IDs
            of those addresses will be present.
          items:
            type: object
            properties:
              addressId:
                description: The addressId of the linked address.
                type: string
                example: adc215f64-5717-4562-b3fc-2c963f66222a
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the email address was last updated. ISO 8601
            format.
    Custom-Attributes:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/Attribute'
    External-Reference:
      type: object
      description: >-
        Reference information used to identify the individual in systems
        external to FrankieOne.
      allOf:
        - type: object
          properties:
            referenceId:
              type: string
              description: >-
                As external references are added to an entity, they are assigned
                a unique identifier to assist with modification and reference.

                To modify an external reference, include the referenceId in an
                update request for the individual.
              example: 24de15f64-5717-4562-b3fc-2c963f66e23e
              x-oapi-codegen-extra-tags:
                audit: keep
            type:
              type: string
              enum:
                - SYSTEM
                - CUSTOMER
                - ACCOUNT
                - OTHER
              default: CUSTOMER
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              example: 93da15f64-5717-4562-b3fc-2c963f6663fe
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: keep
            metadata:
              type: object
              description: >-
                Key-value pairs for storing additional metadata about the
                external reference
              additionalProperties:
                $ref: '#/components/schemas/External-Reference-Metadata'
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the external reference was last updated. ISO
                8601 format.
        - $ref: '#/components/schemas/External-Reference-Information'
    Entity-Documents:
      type: object
      properties:
        REPORT:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
        SUPPORTING:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
        IDENTITY:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
        OTHER:
          type: array
          items:
            $ref: '#/components/schemas/Document-Information'
    Organization-Registration-Details:
      type: object
      allOf:
        - $ref: '#/components/schemas/Organization-Registry'
        - type: object
          properties:
            isCurrent:
              description: Indicates that the registration is current
              type: boolean
            registeredName:
              description: The name of organization in the registry
              type: string
            registeredNameDetails:
              $ref: '#/components/schemas/Organization-Registration-Name-Details'
            registeredDate:
              $ref: '#/components/schemas/Date'
              description: The date the organization was registered on
            extractedDate:
              $ref: '#/components/schemas/Date'
              description: >-
                The date when the organization details were extracted from the
                registry
            registeredSubdivision:
              description: >-
                The subdivision that the organization was registered at. The
                registered state for jurisdictions like Australia will be
                available in this field.
              type: string
            registeredCountry:
              description: The country that the organization was registered at
              type: string
            registrationStatus:
              $ref: '#/components/schemas/Organization-Status'
            registrationNumber:
              description: The registration number of the organization in the registry
              type: string
            registrationNumberType:
              description: The type of the registration number, e.g. ACN, ABN, etc.
              type: string
            registrationNumberDescription:
              description: >-
                The description of type of the registration number, e.g.
                Australian Company Number, Australian Business Number, etc.
              type: string
            updatedDate:
              $ref: '#/components/schemas/Date'
              description: The date on which the registration was last updated
            reviewDate:
              $ref: '#/components/schemas/Date'
              description: The future date when the registration needs to be reviewed
            foundationDate:
              $ref: '#/components/schemas/Date'
              description: >-
                In some registries the foundation date (when the organization
                was registered or founded) is provided
            isSuppressed:
              description: Denotes whether the information in the registry is suppressed
              type: boolean
            validFrom:
              $ref: '#/components/schemas/Date'
              description: The date on which the registration started
            validTo:
              $ref: '#/components/schemas/Date'
              description: The date on which the registration ended
          required:
            - registrationNumber
    Organization-Name:
      type: object
      properties:
        name:
          description: The organization's name
          type: string
        type:
          description: The type of name
          type: string
        validFrom:
          $ref: '#/components/schemas/Date'
          description: The date from which this name will be in effect
        validTo:
          $ref: '#/components/schemas/Date'
          description: The date until which this name will be in effect
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    Organization-Status:
      type: object
      properties:
        normalized:
          $ref: '#/components/schemas/Code-Description'
          description: normalized status form
        unstructured:
          $ref: '#/components/schemas/Code-Description'
          description: raw status form
    Organization-Jurisdiction:
      title: Organization-Jurisdiction
      type: object
      description: >-
        Details of the country and jurisdiction that the organization is
        operating in, both retrieved from the registry
      allOf:
        - $ref: '#/components/schemas/Organization-Registry'
        - $ref: '#/components/schemas/Organization-Region'
    Industry-Declaration:
      type: object
      allOf:
        - $ref: '#/components/schemas/Code-Description'
        - type: object
          properties:
            language:
              description: The language in which the information was filed
              type: string
    Organization-Shareholder-Shareholding:
      description: Shareholding of a shareholder.
      allOf:
        - $ref: '#/components/schemas/Organization-Share-Structure'
        - type: object
          properties:
            percentage:
              description: The percentage of shares
              type: number
              format: double
            isNonBeneficiallyHeld:
              description: Flag to show whether this is non beneficially held
              type: boolean
            isJointlyHeld:
              description: Flag to show whether this is jointly held
              type: boolean
    Organization-Share-Structure:
      type: object
      properties:
        class:
          description: The class of the shares in the interest
          type: string
        classDescription:
          description: The description of class of shares
          type: string
        shares:
          description: The number of shares that are included in this specific interest
          type: number
          format: double
        nominalValue:
          type: string
          description: This will be available only in specific registries, where available
        isFullyPaid:
          description: Flag to show whether the shares are fully paid
          type: boolean
        amountPaid:
          description: The amount paid
          type: number
          format: double
        amountDue:
          description: The amount due
          type: number
          format: double
        amount:
          description: The total amount
          type: number
          format: double
        unstructuredAmount:
          description: The total amount in an unstructured format
          type: string
        currency:
          description: The currency in which the shares are registered at
          type: string
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
        type:
          description: The type of shares that are included in the description
          type: string
        status:
          $ref: '#/components/schemas/Organization-Status'
          description: The status of information like current, historical, etc
    Organization-Share-Interest-Member:
      type: object
      description: The entities that are a part of the interest
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
    Organization-Official-Identification:
      type: object
      properties:
        type:
          type: string
          enum:
            - DIRECTOR_IDENTIFICATION_NUMBER
        idNumber:
          type: string
        jurisdiction:
          $ref: '#/components/schemas/Organization-Jurisdiction'
    Date:
      type: object
      allOf:
        - $ref: '#/components/schemas/Date-Base'
        - type: object
          properties:
            normalized:
              type: string
              format: date
              description: >-
                Full date in ISO 8601 format ("YYYY-MM-DD"). This is a read-only
                field.
              example: '1990-03-31'
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    Organization-Official-Directorship:
      type: object
      description: >-
        Information on roles of the official in other organizations.  Available
        in some jurisdictions.
      properties:
        organization:
          $ref: '#/components/schemas/Official-Organization'
          description: Details of the organization in which the official holds a role
        role:
          $ref: '#/components/schemas/Code-Description'
          description: >-
            The role of the official in the organization.  '''code''' is the
            normalized code for the role.
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
        appointmentDate:
          $ref: '#/components/schemas/Date'
          description: The date when the official was appointed for the organization
        nationality:
          type: string
    Organization-PSC:
      description: >-
        This includes the details of Person of Significant Control (PSC) as
        described by the organization in the registry.
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        kind:
          description: The type of control as declared by the organization in the registry
          type: string
        natureOfControl:
          description: >-
            The nature of control as declared, this can contain multiple types
            of control progressively added or added together
          type: array
          items:
            type: string
        notifiedOn:
          $ref: '#/components/schemas/Date'
          description: >-
            The date on which the registry was notified of the PSC by the
            organization
        ceasedOn:
          $ref: '#/components/schemas/Date'
          description: >-
            The date when the PSC was not a PSC anymore and the changes were
            notified to the organization
        countryOfResidence:
          description: The Country in which the PSC resides
          type: string
    Jurisdictional-Registry-Information:
      type: object
      properties:
        abnReplacedFrom:
          $ref: '#/components/schemas/Date'
          description: This is the date from which the ABN was replaced
        charityInformation:
          description: Charity information retrieved from ABR
          type: array
          items:
            $ref: '#/components/schemas/ABR-Information'
        gst:
          description: GST information retrieved from ABR
          type: array
          items:
            $ref: '#/components/schemas/ABR-Information'
        superannuationStatus:
          $ref: '#/components/schemas/Jurisdictional-Superannuation'
          description: Superannuation status retrieved from ABR
        acncRegistrations:
          description: ACNC registration information retrieved from ABR
          type: array
          items:
            $ref: '#/components/schemas/Jurisdictional-Acnc'
        dgr:
          description: DGR information retrieved from ABR
          type: array
          items:
            $ref: '#/components/schemas/Jurisdictional-Dgr'
        disclosingEntity:
          description: >-
            Indicates if the organization is a disclosing entity as per ASIC
            registry
          type: boolean
    USA-Agent:
      title: USA-Agents
      type: object
      properties:
        name:
          description: The name of the individual or the organization
          type: string
        addresses:
          type: array
          description: This will contain an array of addresses related to the organization
          items:
            $ref: '#/components/schemas/Address'
    USA-Officer:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        entityType:
          $ref: '#/components/schemas/Entity-Type'
        title:
          description: The title of the individual
          type: string
        assignedDate:
          $ref: '#/components/schemas/Date'
          description: The date on which the officer was assigned to the organization
        type:
          description: The type of the relation with the organization
          type: string
    Jurisdictional-Legal-Form-Details:
      type: object
      properties:
        basis:
          type: string
        capital:
          type: string
        comments:
          type: string
        control:
          type: string
        incorp:
          type: string
        partner:
          type: string
        responsibility:
          type: string
        stocks:
          type: string
    Jurisdictional-Annual-Account:
      type: object
      properties:
        lastAnnualAccountDate:
          $ref: '#/components/schemas/Date'
    Individual-Name:
      type: object
      required:
        - familyName
      x-examples:
        Example 1:
          givenName: John
          middleName: Jacob
          familyName: Smith
      properties:
        nameId:
          type: string
          example: 87654321-4321-4321-4321-210987654321
          description: >-
            Include the nameId of an existing name for this individual to modify
            it
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        language:
          type: string
          example: eng
          description: >-
            The ISO-639-3 standard code that best represents the language and
            character set of the individual's name
          default: eng
          x-oapi-codegen-extra-tags:
            audit: keep
        givenName:
          type: string
          example: John
          description: First name or given name
          x-oapi-codegen-extra-tags:
            audit: mask
        middleName:
          type: string
          example: R
          description: Middle name(s) or middle initial(s)
          x-oapi-codegen-extra-tags:
            audit: mask
        familyName:
          type: string
          example: Doe
          description: Last name, family name, or surname.
          x-oapi-codegen-extra-tags:
            audit: mask
        otherName:
          type: string
          example: null
          description: >-
            Another name that this person may be known as, e.g., "Bob" as an
            alternative to "Robert".
          x-oapi-codegen-extra-tags:
            audit: mask
        prefix:
          type: string
          example: Dr.
          description: >-
            Letters or words that come before an individual's full name (e.g.,
            title or honorific).
          x-oapi-codegen-extra-tags:
            audit: mask
        suffix:
          type: string
          example: Jr.
          description: >-
            Letters or words that come after an individual's full name (e.g.,
            generational suffix).
          x-oapi-codegen-extra-tags:
            audit: mask
        sourceId:
          type: string
          example: 87654321-4321-4321-4321-210987654322
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        displayName:
          type: string
          example: John Doe
          description: >-
            Long format of the individual's full name, including any prefix,
            suffix, middle, or other names. Best used when the proper structure
            of the individual's name is unknown.
          x-oapi-codegen-extra-tags:
            audit: mask
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the name was last updated. ISO 8601 format.
    Individual-Name-Alternate:
      type: object
      required:
        - familyName
      x-examples:
        Example 1:
          givenName: John
          middleName: Jacob
          familyName: Smith
      properties:
        nameId:
          type: string
          example: 87654321-4321-4321-4321-210987654321
          description: >-
            Include the nameId of an existing name for this individual to modify
            it.
          x-oapi-codegen-extra-tags:
            audit: keep
        language:
          type: string
          example: eng
          description: >-
            The ISO-639-3 standard code that best represents the language and
            character set of the individual's name.
          default: eng
          x-oapi-codegen-extra-tags:
            audit: keep
        givenName:
          type: string
          example: John
          description: First name or given name.
          x-oapi-codegen-extra-tags:
            audit: mask
        middleName:
          type: string
          example: R
          description: Middle name(s) or middle initial(s).
          x-oapi-codegen-extra-tags:
            audit: mask
        familyName:
          type: string
          example: Doe
          description: Last name, family name, or surname.
          x-oapi-codegen-extra-tags:
            audit: mask
        otherName:
          type: string
          example: null
          description: Other names to be stored with the entity.
          x-oapi-codegen-extra-tags:
            audit: mask
        prefix:
          type: string
          example: Dr.
          description: >-
            Element or series of letters that precede the individual's full name
            (e.g., title or honorific).
          x-oapi-codegen-extra-tags:
            audit: mask
        suffix:
          type: string
          example: Jr.
          description: >-
            Element or series of letters that follow the individual's full name
            (e.g., generational suffix).
          x-oapi-codegen-extra-tags:
            audit: mask
        sourceId:
          type: string
          example: 87654321-4321-4321-4321-210987654322
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        displayName:
          type: string
          example: John Doe
          description: >-
            Long format of the individual's full name, including any prefix,
            suffix, middle, or other names. Best used when the proper structure
            of the individual's name is unknown.
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          type: string
          example: OTHER
          enum:
            - OTHER
            - ALIAS
            - PREVIOUS
          description: >-
            Classification of the individual's name in relation to any of their
            alternative names.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the name was last updated. ISO 8601 format.
    Date-Of-Birth:
      type: object
      allOf:
        - type: object
          properties:
            dateOfBirthId:
              type: string
              description: >-
                As dates of birth are added to an entity, they are assigned a
                unique identifier to assist with modification and reference.

                To modify a date of birth, include the dateOfBirthId in an
                update request for the individual.
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              readOnly: true
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the date of birth was last updated. ISO 8601
                format.
        - $ref: '#/components/schemas/Date'
    Date-Of-Birth-Alternate:
      type: object
      allOf:
        - type: object
          properties:
            dateOfBirthId:
              type: string
              description: >-
                As dates of birth are added to an entity, they are assigned a
                unique identifier to assist with modification and reference.

                To modify a date of birth, include the dateOfBirthId in an
                update request for the individual.
              x-oapi-codegen-extra-tags:
                audit: keep
            sourceId:
              type: string
              readOnly: true
              description: >-
                The source from which specific information was sourced. This is
                a link to an informationSource object in the informationSources
                map.
              x-oapi-codegen-extra-tags:
                audit: keep
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time the date of birth was last updated. ISO 8601
                format.
        - $ref: '#/components/schemas/Date'
    Gender:
      type: object
      properties:
        genderId:
          type: string
          readOnly: true
          deprecated: true
          x-oapi-codegen-extra-tags:
            audit: keep
        gender:
          $ref: '#/components/schemas/GenderEnum'
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
    Address-Place-Of-Birth:
      type: object
      required:
        - country
      description: The country or address where the individual was born.
      properties:
        addressId:
          type: string
          description: >-
            As addresses are added to an entity, they are assigned an ID to
            assist with tracking.
          example: 6ad15f64-5717-4562-b3fc-2c963f66abf9
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 1da65f64-5717-4562-b3fc-2c963f669fba
          x-oapi-codegen-extra-tags:
            audit: keep
        longForm:
          type: string
          description: >-
            In some cases, the address will need to be supplied in "long form",
            such as when it is determined from a document scan, or is unparsable
            in some way.

            The service will attempt to convert it to its constituent parts
            where possible.

            WARNING: Use of longForm is not guaranteed to produce perfect
            results, due to the variety of potential formats. You have been
            warned.

            Failure to break down or disambiguate the address will result in an
            error.
          example: 525 Kent Dr, Harlem NY 10037, USA
          x-oapi-codegen-extra-tags:
            audit: mask
        unstructuredLongForm:
          type: string
          readOnly: true
          description: >-
            Raw, unformatted address as provided by the source. Not normalized
            or standardized.
          example: 3A/525 KENT DRIVE HARLEM NEW YORK 10036 USA
          x-oapi-codegen-extra-tags:
            audit: mask
        unitNumber:
          type: string
          description: Unit/Apartment/Flat/Suite/etc. number
          example: 3A
          x-oapi-codegen-extra-tags:
            audit: mask
        buildingName:
          type: string
          description: The name of the building, apartment block, condominium, etc.
          example: EQ Tower
          x-oapi-codegen-extra-tags:
            audit: mask
        streetName:
          type: string
          description: >-
            The name of the street.

            This field should ideally contain only the street name, without the
            street number or street type. In some cases, especially when
            auto-populated by external services (e.g., Google), it may include
            additional address components.

            For best results, keep the street name separate from the street
            number and street type. See
            https://docs.frankieone.com/docs/working-with-addresses for more
            details.
          example: Kent
          x-oapi-codegen-extra-tags:
            audit: mask
        streetNumber:
          type: string
          description: >-
            The number assigned to the property on the street. Typically a
            number, but can also be alphanumeric (e.g., 3A).
          example: '525'
          x-oapi-codegen-extra-tags:
            audit: mask
        streetType:
          type: string
          description: The street type, such as Road, Street, Avenue, Circuit, etc.
          example: Dr
          x-oapi-codegen-extra-tags:
            audit: mask
        neighborhood:
          type: string
          description: >-
            The neighborhood or suburb within the town or city. Use this only if
            you require both a suburb and a locality/town/city; otherwise, use
            the "locality" parameter.
          example: Harlem
          x-oapi-codegen-extra-tags:
            audit: keep
        locality:
          type: string
          description: The locality, borough, town, village, or city.
          example: Manhattan
          x-oapi-codegen-extra-tags:
            audit: keep
        district:
          type: string
          description: The district, region, county, province, or cantonment.
          example: New York County
          x-oapi-codegen-extra-tags:
            audit: keep
        subdivision:
          type: string
          description: >-
            The ISO 3166-2 alphanumeric code of the administrative
            area/state/sub-division, minus the country code, e.g., VIC
            (Victoria) or TX (Texas).
          example: NY
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: >-
            The ISO 3166-1 alphanumeric three-letter code of the country, e.g.,
            AUS, USA, IDR, KOR, etc.

            For more details, refer to: https://en.wikipedia.org/wiki/ISO_3166-1
          example: USA
          x-oapi-codegen-extra-tags:
            audit: keep
        postalCode:
          type: string
          description: The postal, zip, or pin code of the address.
          example: '10037'
          x-oapi-codegen-extra-tags:
            audit: keep
    Consent:
      type: object
      properties:
        type:
          type: string
          description: The type of consent given by an entity
          example: UNDER18
          enum:
            - GENERAL
            - DOCS
            - CREDITHEADER
            - UNDER18
            - PAYROLL
            - INSURANCE
            - SUPERANNUATION
          x-oapi-codegen-extra-tags:
            audit: keep
        schemaVersion:
          type: integer
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was obtained. This is a
            link to an informationSource object in the informationSources map.
          example: 93da15f64-5717-4562-b3fc-2c963f6663fe
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
    Address-Base:
      type: object
      required:
        - country
      description: Address information in all available formats
      properties:
        addressId:
          type: string
          description: >-
            As addresses are added to an entity, they are assigned an ID to
            assist with tracking.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the address was last updated. ISO 8601 format.
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
        type:
          $ref: '#/components/schemas/Address-TypeEnum'
          description: >-
            Used to indicate what sort of address this is, such as residential,
            business, postal, etc. Should be used in conjunction with the status
            field to indicate the current status of the address and provide more
            context.
        typeDescription:
          type: string
          description: >-
            Description for the type or the address type as fetched from an
            authoritative source like a company registry.
          x-oapi-codegen-extra-tags:
            audit: keep
        validFrom:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address first became active. Used mostly with business
            addresses.
        validTo:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address was no longer used (if available). Used mostly
            with business addresses.
        longForm:
          type: string
          description: >-
            In some cases, the address will need to be supplied in "long form",
            such as when it is determined from a document scan, or is unparsable
            in some way.

            The service will attempt to convert it to its constituent parts
            where possible.

            WARNING: Use of longForm is not guaranteed to produce perfect
            results, due to the variety of potential formats. You have been
            warned.

            Failure to break down or disambiguate the address will result in an
            error.
          x-oapi-codegen-extra-tags:
            audit: mask
        unitNumber:
          type: string
          description: Unit/Apartment/Flat/Suite/etc. number
          x-oapi-codegen-extra-tags:
            audit: mask
        buildingName:
          type: string
          description: The name of the building, apartment block, condominium, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetName:
          type: string
          description: >-
            The name of the street.

            This field should ideally contain only the street name, without the
            street number or street type. In some cases, especially when
            auto-populated by external services (e.g., Google), it may include
            additional address components.

            For best results, keep the street name separate from the street
            number and street type. See
            https://docs.frankieone.com/docs/working-with-addresses for more
            details.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetNumber:
          type: string
          description: >-
            The number assigned to the property on the street. Typically a
            number, but can also be alphanumeric (e.g., 3A).
          x-oapi-codegen-extra-tags:
            audit: mask
        streetType:
          type: string
          description: The street type, such as Road, Street, Avenue, Circuit, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        neighborhood:
          type: string
          description: >-
            The neighborhood or suburb within the town or city. Use this only if
            you require both a suburb and a locality/town/city; otherwise, use
            the "locality" parameter.
          x-oapi-codegen-extra-tags:
            audit: keep
        locality:
          type: string
          description: The locality, town, village, suburb, or city.
          x-oapi-codegen-extra-tags:
            audit: keep
        district:
          type: string
          description: The district, region, county, province, or cantonment.
          x-oapi-codegen-extra-tags:
            audit: keep
        subdivision:
          type: string
          description: >-
            The administrative area, state, or sub-division. Use local
            abbreviations, such as VIC (Victoria) or TX (Texas).
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: >-
            The ISO-3166-1 country code. You must use the alpha-3 country code
            (e.g., AUS, USA, IDR, KOR, etc). Conversion will be handled as
            needed.

            For more details, refer to: https://en.wikipedia.org/wiki/ISO_3166-1
          x-oapi-codegen-extra-tags:
            audit: keep
        postalCode:
          type: string
          description: The postal code of the address.
          x-oapi-codegen-extra-tags:
            audit: keep
        careOf:
          type: string
          description: >-
            The individual or business name at this address, if different from
            the name of the entity to which this address belongs.
          x-oapi-codegen-extra-tags:
            audit: mask
        status:
          $ref: '#/components/schemas/Address-StatusEnum'
          description: >-
            The status of the address information, such as current, previous, or
            future. Should be used in conjunction with the `type` field to
            indicate the type of the address and provide more context.
    Organization-Blocking-Candidates:
      type: object
      properties:
        address:
          description: >-
            The address or location of company including building, street, city
            and state.
          type: string
        country:
          description: The jurisdiction or country where the company is located.
          type: string
        registeredName:
          description: The registered name of the company.
          type: string
        registryDescription:
          description: >-
            The entity responsible for business registration in the given
            jurisdiction.
          type: string
        subdivision:
          description: The state within the country where the company is located.
          type: string
    Phone-Number-ID:
      type: string
      description: >-
        As phone numbers are added to an entity, they are assigned an ID to
        assist with tracking.

        If you are adjusting phone numbers, you will need to include the ID to
        reference it correctly in the list.
      example: ad165f64-5717-4562-b3fc-2c963f66bfa9
      x-oapi-codegen-extra-tags:
        audit: keep
    Email-Address-ID:
      type: string
      description: >-
        As email addresses are added to an entity, they are assigned a unique
        identifier to assist with modification and reference.

        To modify an email, include the emailId in an update request.
      example: aa385f64-5717-4562-b3fc-2c963f66af21
      x-oapi-codegen-extra-tags:
        audit: keep
    Attribute:
      type: object
      required:
        - type
        - value
      properties:
        type:
          description: The attribute type.
          type: string
          maxLength: 64
          x-oapi-codegen-extra-tags:
            audit: keep
        value:
          description: The value assigned to the attribute.
          type: string
          x-oapi-codegen-extra-tags:
            audit: mask
    External-Reference-Metadata:
      type: object
      required:
        - type
        - value
      x-examples:
        String Metadata:
          type: STRING
          value: '2024-01-15'
        Number Metadata:
          type: NUMBER
          value: '100'
      description: Metadata item for external reference with typed value
      properties:
        type:
          $ref: '#/components/schemas/External-Reference-Metadata-TypeEnum'
        value:
          type: string
          maxLength: 128
          description: The value of the metadata item, stored as string regardless of type
    Document-Information:
      type: object
      required:
        - type
        - country
      properties:
        class:
          $ref: '#/components/schemas/Document-Class'
        documentId:
          $ref: '#/components/schemas/Document-ID'
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        expiryDate:
          $ref: '#/components/schemas/Date'
          description: The expiry date of the document in YYYY-MM-DD format.
        issueDate:
          $ref: '#/components/schemas/Date'
          description: The issue date of the document in YYYY-MM-DD format.
        primaryIdentifier:
          type: string
          description: >-
            The primary ID number of the document, e.g., the ID number on a
            driver licence.
          example: '000734130'
          x-oapi-codegen-extra-tags:
            audit: mask
        secondaryIdentifier:
          type: string
          description: >-
            The secondary ID number of the document, e.g., the card number on a
            driver licence.
          example: P0001975
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          $ref: '#/components/schemas/Document-Type'
        subtype:
          type: string
          description: >-
            The sub-type of the document, if relevant. This can include specific
            report or attestation types, e.g., FACIAL_COMPARISON (attestation)
            or KYC (report).
          example: Photo Comparison
          x-oapi-codegen-extra-tags:
            audit: keep
        subdivision:
          type: string
          description: >-
            The abbreviated ISO 3166 subdivision/region where the ID was issued,
            e.g., "VIC" for the Australian state of Victoria or "MA" for the US
            state of Massachusetts.
          example: VIC
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          maxLength: 3
          description: >-
            The ISO 3166 alpha-3 country code where the document was issued, if
            relevant.

            For more information, please refer to:
            https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes
          example: AUS
          x-oapi-codegen-extra-tags:
            audit: keep
        createdAt:
          type: string
          format: date-time
          description: >-
            The date and time when the document record was created, in ISO 8601
            format.
          example: '2024-01-15T02:18:11.365Z'
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          description: >-
            The date and time when the document record was last updated, in ISO
            8601 format.
          example: '2025-01-16T02:18:11.365Z'
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        validFrom:
          $ref: '#/components/schemas/Date'
          description: >-
            The date when the validity period for this document began, if
            applicable.
        validTo:
          $ref: '#/components/schemas/Date'
          description: >-
            The date when the validity period for this document ended, if
            applicable.
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 324f15f64-5717-4562-b3fc-2c963f66ffa1
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        supplementaryData:
          $ref: '#/components/schemas/Document-Supplementary-Data'
        customAttributes:
          $ref: '#/components/schemas/Custom-Attributes'
        attachments:
          type: array
          description: >-
            List of scans, pages, or files for a single document, e.g., front
            and back images of a driver licence, or page 1, 2, and 3 of a
            supporting document.


            Attachments can be uploaded in a single call or in multiple calls.
            To upload attachments over multiple calls, include the documentId in
            the request.
          items:
            $ref: '#/components/schemas/Document-Attachment'
    Organization-Registry:
      type: object
      properties:
        registry:
          description: Registry the organization is registered at
          type: string
        registryDescription:
          description: The description of the registry
          type: string
    Organization-Registration-Name-Details:
      type: object
      description: The registered name details of an organization
      properties:
        validFrom:
          $ref: '#/components/schemas/Date'
          description: The date from which this name will be in effect
        validTo:
          $ref: '#/components/schemas/Date'
          description: The date until which this name will be in effect
    Date-Base:
      type: object
      properties:
        year:
          type: string
          description: Year in "YYYY" format.
          example: '1990'
          x-oapi-codegen-extra-tags:
            audit: mask
        month:
          type: string
          description: Month in "MM" format.
          example: '03'
          x-oapi-codegen-extra-tags:
            audit: mask
        day:
          type: string
          description: Day in "DD" format.
          example: '27'
          x-oapi-codegen-extra-tags:
            audit: mask
        unstructured:
          type: string
          description: >-
            Raw date format without normalization or standardization to the
            Gregorian calendar.

            This can be used to provide non-Gregorian dates (e.g., Islamic
            dates).
          example: 12 Rajab 1445 AH
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          $ref: '#/components/schemas/Date-Type'
    Official-Organization:
      type: object
      properties:
        organizationName:
          type: string
        registrationNumber:
          type: string
        organizationStatus:
          $ref: '#/components/schemas/Organization-Status'
    ABR-Information:
      type: object
      properties:
        type:
          description: The type of information
          type: string
        name:
          description: The name assigned by the registry to the information
          type: string
        validFrom:
          $ref: '#/components/schemas/Date'
          description: The date from which the information is valid from
        validTo:
          $ref: '#/components/schemas/Date'
          description: The date until which the information is valid
    Jurisdictional-Superannuation:
      type: object
      properties:
        complyingCode:
          type: string
        complyingDescription:
          type: string
        regulator:
          type: string
        exceptionMessage:
          type: string
    Jurisdictional-Acnc:
      type: object
      properties:
        status:
          type: string
        validFrom:
          $ref: '#/components/schemas/Date'
        validTo:
          $ref: '#/components/schemas/Date'
    Jurisdictional-Dgr:
      type: object
      properties:
        dgrEntityEndorsement:
          type: string
        dgrItemNumber:
          type: string
    GenderEnum:
      type: string
      enum:
        - MALE
        - FEMALE
        - NON_BINARY
        - OTHER
        - UNSPECIFIED
      x-oapi-codegen-extra-tags:
        audit: mask
    Address-TypeEnum:
      type: string
      default: OTHER
      enum:
        - OTHER
        - RESIDENTIAL
        - BUSINESS
        - POSTAL
        - REGISTERED_OFFICE
        - PLACE_OF_BUSINESS
        - OFFICIAL_CORRESPONDANCE
        - PLACE_OF_BIRTH
        - OFFICE_LOCALITY
        - AUTHORITATIVE_RESIDENTIAL
      x-oapi-codegen-extra-tags:
        audit: keep
    Address-StatusEnum:
      type: string
      default: CURRENT
      enum:
        - CURRENT
        - PREVIOUS
        - FUTURE
      x-oapi-codegen-extra-tags:
        audit: keep
    External-Reference-Metadata-TypeEnum:
      type: string
      default: STRING
      enum:
        - STRING
        - INTEGER
        - FLOAT
        - BOOLEAN
        - DATE
        - DATE_TIME
      description: The type of the external reference metadata value
    Document-Class:
      type: string
      enum:
        - OTHER
        - IDENTITY
        - SUPPORTING
        - REPORT
      description: >-
        The classification of the document, indicating how it should be used or
        interpreted.
      example: IDENTITY
    Document-ID:
      type: string
      format: uuid
      description: >-
        As documents are added to an entity, they are assigned a unique
        identifier to assist with modification and reference.

        To modify a document, include the documentId in an update request.
      example: 92de15f64-5717-4562-b3fc-2c963f6665a7
      x-oapi-codegen-extra-tags:
        audit: keep
    Document-Type:
      type: string
      enum:
        - OTHER
        - DRIVERS_LICENSE
        - PASSPORT
        - VISA
        - IMMIGRATION
        - NATIONAL_ID
        - TAX_ID
        - NATIONAL_HEALTH_ID
        - CONCESSION
        - HEALTH_CONCESSION
        - PENSION
        - MILITARY_ID
        - BIRTH_CERT
        - CITIZENSHIP
        - MARRIAGE_CERT
        - DEATH_CERT
        - NAME_CHANGE
        - UTILITY_BILL
        - BANK_STATEMENT
        - BANK_ACCOUNT
        - INTENT_PROOF
        - ATTESTATION
        - SELF_IMAGE
        - DEVICE
        - VEHICLE_REGISTRATION
        - PROOF_OF_ADDRESS
        - HOUSE_REGISTRATION
        - YELLOW_HOUSE_REGISTRATION
        - WORK_PERMIT
        - EMPLOYMENT_CERTIFICATE
        - NOTARY_PUBLIC_ID
        - EXTERNAL_ADMIN
        - CHARGES
        - PRE_ASIC
        - ANNUAL_RETURN
        - REPORT
        - TRUST_DEED
        - DEED_OF_VARIATION
        - REGISTER_OF_UNIT_HOLDERS
        - PARTNERSHIP_AGREEMENT
        - ADMIN_CHANGE
        - COMPANY_REPORT
        - CHECK_RESULTS
        - AVIATION_SECURITY_ID
        - MARITIME_SECURITY_ID
        - ORGANIZATION_PROFILE
        - ORGANIZATION_OWNERSHIP
      description: |-
        Valid document ID types.

          - "OTHER": Generic document type. Unspecified.
          - "DRIVERS_LICENSE": Driver's license.
          - "PASSPORT": Passport.
          - "VISA": Visa document (not Visa payment card).
          - "IMMIGRATION": Immigration card.
          - "NATIONAL_ID": Any national ID card.
          - "TAX_ID": Any national tax identifier.
          - "NATIONAL_HEALTH_ID": Any national health program ID card (e.g., Medicare, NHS).
          - "CONCESSION": State-issued concession card.
          - "HEALTH_CONCESSION": State-issued health-specific concession card.
          - "PENSION": State-issued pension ID.
          - "MILITARY_ID": Military ID.
          - "BIRTH_CERT": Birth certificate.
          - "CITIZENSHIP": Citizenship certificate.
          - "MARRIAGE_CERT": Marriage certificate.
          - "DEATH_CERT": Death certificate.
          - "NAME_CHANGE": Name change confirmation.
          - "UTILITY_BILL": Regulated utility bill, such as electricity, gas, etc.
          - "BANK_STATEMENT": Bank/card statement.
          - "BANK_ACCOUNT": Bank account.
          - "INTENT_PROOF": Proof of intent, generally a photo/video or a scanned letter.
          - "ATTESTATION": Document of attestation (e.g., Statutory Declaration).

          NOTE: These cannot be used as a supporting document:
          - "SELF_IMAGE": A "selfie" used for comparisons.
          - "DEVICE": Device ID.
          - "VEHICLE_REGISTRATION": Vehicle registration number.
          - "PROOF_OF_ADDRESS": Any document that provides proof of address.
          - "HOUSE_REGISTRATION": House registration document.
          - "YELLOW_HOUSE_REGISTRATION": Yellow House Registration Thor Ror 13.
          - "WORK_PERMIT": Work permit.
          - "EMPLOYMENT_CERTIFICATE": Certificate of employment.
          - "NOTARY_PUBLIC_ID": Notary Public Identification.

          Business-related documentation:

          - "EXTERNAL_ADMIN": Details of appointed administrator.
          - "CHARGES": Details of any charges laid against a company or director.
          - "PRE_ASIC": Any documents that are Pre-ASIC.
          - "ANNUAL_RETURN": Details of a company's annual return.
          - "REPORT": Frankie-generated report.
          - "TRUST_DEED": Corporate trust deed.
          - "DEED_OF_VARIATION": Deed of variation document.
          - "REGISTER_OF_UNIT_HOLDERS": Register of unit holders document.
          - "PARTNERSHIP_AGREEMENT": Partnership agreement documents.
          - "ADMIN_CHANGE": Change of administrator.
          - "COMPANY_REPORT": Registry-filed company reports.
          - "ORGANIZATION_PROFILE": Organization profile document.
          - "ORGANIZATION_OWNERSHIP": Organization ownership document.

          Special document types:

          - "CHECK_RESULTS": Special document type for specifying results of checks completed other than through Frankie.
          - "AVIATION_SECURITY_ID": Aviation Security Identification Card.
          - "MARITIME_SECURITY_ID": Maritime Security Identification Card.
      x-oapi-codegen-extra-tags:
        audit: keep
    Document-Supplementary-Data:
      type: object
      description: >-
        Supplementary information relevant to a specific document or report
        type.
      oneOf:
        - $ref: '#/components/schemas/Document-Supplementary-Data-National-Health-ID'
        - $ref: '#/components/schemas/Document-Supplementary-Data-Birth-Certificate'
        - $ref: '#/components/schemas/Document-Supplementary-Data-National-ID'
        - $ref: '#/components/schemas/Document-Supplementary-Data-Citizenship'
        - $ref: '#/components/schemas/Document-Supplementary-Data-Passport'
        - $ref: >-
            #/components/schemas/Document-Supplementary-Data-Marriage-Certificate
        - $ref: >-
            #/components/schemas/Document-Supplementary-Data-Name-Change-Certificate
      discriminator:
        propertyName: type
        mapping:
          NATIONAL_HEALTH_ID:
            $ref: >-
              #/components/schemas/Document-Supplementary-Data-National-Health-ID
          BIRTH_CERT:
            $ref: '#/components/schemas/Document-Supplementary-Data-Birth-Certificate'
          NATIONAL_ID:
            $ref: '#/components/schemas/Document-Supplementary-Data-National-ID'
          CITIZENSHIP:
            $ref: '#/components/schemas/Document-Supplementary-Data-Citizenship'
          PASSPORT:
            $ref: '#/components/schemas/Document-Supplementary-Data-Passport'
          MARRIAGE_CERT:
            $ref: >-
              #/components/schemas/Document-Supplementary-Data-Marriage-Certificate
          NAME_CHANGE:
            $ref: >-
              #/components/schemas/Document-Supplementary-Data-Name-Change-Certificate
    Document-Attachment:
      type: object
      required:
        - data
      description: Document attachment details.
      properties:
        attachmentId:
          $ref: '#/components/schemas/Document-Attachment-ID'
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
[...]
